/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoCorteDAO;
import com.rjconsultores.ventaboletos.entidad.TipoCorte;
import com.rjconsultores.ventaboletos.service.TipoCorteService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("tipoCorteService")
public class TipoCorteServiceImpl implements TipoCorteService {

    @Autowired
    private TipoCorteDAO tipoCorteDAO;

    public List<TipoCorte> obtenerTodos() {
        return tipoCorteDAO.obtenerTodos();
    }

    public TipoCorte obtenerID(Integer id) {
        return tipoCorteDAO.obtenerID(id);
    }

    @Transactional
    public TipoCorte suscribir(TipoCorte entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoCorteDAO.suscribir(entidad);
    }

    @Transactional
    public TipoCorte actualizacion(TipoCorte entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoCorteDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TipoCorte entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tipoCorteDAO.actualizacion(entidad);
    }

    public List<TipoCorte> buscar(String desctipo) {
        return tipoCorteDAO.buscar(desctipo);
    }
}
